SolrQuery::getFacetDateStart
SolrQuery::getFacetLimit
SolrQuery
PHP Manual

# SolrQuery::getFacetFields

(PECL solr >= 0.9.2)

SolrQuery::getFacetFields — Returns all the facet fields

### Description

public array SolrQuery::getFacetFields ( void )

Returns all the facet fields

### Parameters

This function has no parameters.

### Return Values

Returns an array of all the fields and `NULL` if none was set

SolrQuery::getFacetDateStart
SolrQuery::getFacetLimit
SolrQuery
PHP Manual